StatusManagerServlet (Apache Tomcat 10.1.16 API Documentation)
Description: declaration: package: org.apache.catalina.manager, class: StatusManagerServlet

Package org.apache.catalina.manager

# Class StatusManagerServlet

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
org.apache.catalina.manager.StatusManagerServlet

All Implemented Interfaces:
  `Servlet`, `ServletConfig`, `Serializable`, `EventListener`, `NotificationListener`

public class StatusManagerServlet extends HttpServlet implements NotificationListener
This servlet will display a complete status of the HTTP/1.1 connector.

Author:
  Remy Maucherat
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final List<ObjectName>`
  `globalRequestProcessors`
  Vector of global request processors object names.
  `protected MBeanServer`
  `mBeanServer`
  MBean server.
  `protected final List<ObjectName>`
  `requestProcessors`
  Vector of request processors object names.
  `protected static final StringManager`
  `sm`
  The string manager for this package.
  `protected final List<ObjectName>`
  `threadPools`
  Vector of thread pools object names.

  ### Fields inherited from class jakarta.servlet.http.HttpServlet

  `LEGACY_DO_HEAD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StatusManagerServlet()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroy()`
  Finalize this servlet.
  `void`
  `doGet(HttpServletRequest request, HttpServletResponse response)`
  Process a GET request for the specified resource.
  `void`
  `handleNotification(Notification notification, Object handback)`
  `void`
  `init()`
  Initialize this servlet.

  ### Methods inherited from class jakarta.servlet.http.HttpServlet

  `doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, init, service, service`

  ### Methods inherited from class jakarta.servlet.GenericServlet

  `getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### mBeanServer

    protected MBeanServer mBeanServer
    MBean server.

  - ### threadPools

    protected final List<ObjectName> threadPools
    Vector of thread pools object names.

  - ### requestProcessors

    protected final List<ObjectName> requestProcessors
    Vector of request processors object names.

  - ### globalRequestProcessors

    protected final List<ObjectName> globalRequestProcessors
    Vector of global request processors object names.

  - ### sm

    protected static final StringManager sm
    The string manager for this package.

- ## Constructor Details

  - ### StatusManagerServlet

    public StatusManagerServlet()

- ## Method Details

  - ### init

    public void init() throws ServletException
    Initialize this servlet.
    Overrides:
      `init` in class `GenericServlet`
    Throws:
      `ServletException` - if an exception occurs that interrupts the servlet's normal operation

  - ### destroy

    public void destroy()
    Finalize this servlet.
    Specified by:
      `destroy` in interface `Servlet`
    Overrides:
      `destroy` in class `GenericServlet`

  - ### doGet

    public void doGet(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException
    Process a GET request for the specified resource.
    Overrides:
      `doGet` in class `HttpServlet`
    Parameters:
      `request` - The servlet request we are processing
      `response` - The servlet response we are creating
    Throws:
      `IOException` - if an input/output error occurs
      `ServletException` - if a servlet-specified error occurs
    See Also:
      - `ServletResponse.setContentType(java.lang.String)`

  - ### handleNotification

    public void handleNotification(Notification notification, Object handback)
    Specified by:
      `handleNotification` in interface `NotificationListener`